## org.omg.CORBA
Class DataInputStreamHolder

    java.lang.Object
      |
      +--org.omg.CORBA.DataInputStreamHolder

All Implemented Interfaces:
  Streamable

public final class DataInputStreamHolder
extends java.lang.Object
implements Streamable

Holder class for : DataInputStream

Author:
  OpenORB Compiler

Field Summary
`DataInputStream` `value` Internal DataInputStream value

Constructor Summary
`DataInputStreamHolder()` Default constructor
`DataInputStreamHolder(DataInputStream initial)` Constructor with value initialisation

Method Summary
`void` `_read(InputStream istream)` Read DataInputStream from a marshalled stream
`TypeCode` `_type()` Return the DataInputStream TypeCode
`void` `_write(OutputStream ostream)` Write DataInputStream into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public DataInputStream value

  Internal DataInputStream value

Constructor Detail

### DataInputStreamHolder

    public DataInputStreamHolder()

  Default constructor

### DataInputStreamHolder

    public DataInputStreamHolder(DataInputStream initial)

  Constructor with value initialisation
  Parameters:
    `initial` - the initial value

Method Detail

### _read

    public void _read(InputStream istream)

  Read DataInputStream from a marshalled stream
  Specified by:
    `_read` in interface `Streamable`
  Parameters:
    `istream` - the input stream

### _write

    public void _write(OutputStream ostream)

  Write DataInputStream into a marshalled stream
  Specified by:
    `_write` in interface `Streamable`
  Parameters:
    `ostream` - the output stream

### _type

    public TypeCode _type()

  Return the DataInputStream TypeCode
  Specified by:
    `_type` in interface `Streamable`
  Returns:
    a TypeCode